Bug 33760 - Update univention-* packages to 3.2
Update univention-* packages to 3.2
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Moritz Muehlenhoff
Erik Damrose
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-17 09:00 CET by Moritz Muehlenhoff
Modified: 2014-06-12 09:19 CEST (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2013-12-17 09:00:56 CET
For UCC 1.1 the univention-* packages should be updated to their counterparts from UCS 3.2
Comment 1 Moritz Muehlenhoff univentionstaff 2014-03-21 12:34:55 CET
univention-lib was updated to 3.0.26-17
univention-directory-policy was updated to 5.0.6-1
univention-python was updated to 7.0.3-1
ucslint was updated to 3.0.5-1
univention-config-registry was updated to 9.0.6-4
univention-ssh was updated to 5.0.1-1
univention-directory-listener was updated to 8.0.0-5
univention-base-files was updated to 3.0.4-3


No changes (or no functional changes) in 3.2 compared to 3.1, the same version was cherry-picked:
univention-debug
univention-policy
univention-python-heimdal


univention-firewall wasn't updated/imported for UCC 2.0. While it was initially imported into UCC 1.0, it is not used and would require extensive adaptions to be useful.

univention-errata-level wasn't updated/imported for UCC 2.0. While it was initially imported into UCC 1.0, it is unused (the errata updates for UCC don't set the errata level).
Comment 2 Moritz Muehlenhoff univentionstaff 2014-03-21 12:36:08 CET
The following patches have been merged/updated for UCC 2.0:

./univention-debug/3.1-0-0-ucs/6.0.0-1-ucc/010_python_2.6_2.7.patch

./univention-lib/3.1-0-0-ucs/1.0.80-4-ucc/020_fix-ucr-invoke.patch (combined with 021_fix-ucr-invoke.patch)
./univention-lib/3.1-0-0-ucs/1.0.80-4-ucc/010_python_2.6_2.7.patch

./univention-python-heimdal/3.1-0-0-ucs/4.0.3-2.1-ucc/10_python2.7.patch

./univention-policy/3.1-0-0-ucs/5.0.9-4-ucc/012_dso_link_update.patch
./univention-policy/3.1-0-0-ucs/5.0.9-4-ucc/010_python_2.6_2.7.patch

./univention-directory-policy/3.1-0-0-ucs/5.0.5-1-ucc/40-remove-init-script.patch

./ucslint/3.1-0-0-ucs/2.0.23-2-ucc/010_python_2.6_2.7.patch

./univention-config-registry/3.1-0-0-ucs/7.0.33-2-ucc/010_python_2.6_2.7.patch

./univention-directory-listener/3.1-0-0-ucs/7.0.4-2-ucc/01_python2.7.patch
./univention-directory-listener/3.1-0-0-ucs/7.0.4-2-ucc/02_gcc_errors.patch
./univention-directory-listener/3.1-0-0-ucs/7.0.4-2-ucc/03_replace_runit_with_upstart.patch

./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/010_python_2.6_2.7.patch
./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/015_ucc_dependencies.patch
./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/017_ucc_cleanup.patch
./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/020_add-support-for-freerdp-mappings.patch
./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/025_add-ucr-support-for-ClientAliveInterval-in-sshd-config.patch
./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/025_ucc_lsb-release-template-cleanup.patch
./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/030_etc-issue-fix-for-ucc.patch
./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/035-drop-rdate.patch
./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/040-drop-registration-of-domainname-in-resolvconf.patch

./db3/3.1-0-0-ucs/3.2.9+dfsg-0.1-ucc/10_build_depends.patch





The following patches are no longer needed:
./univention-directory-policy/3.1-0-0-ucs/5.0.5-1-ucc/30-move-to-join-script-lib.patch
-> This was merged in 5.0.6-1 (Bug #28993)

./univention-python/3.1-0-0-ucs/6.0.21-2-ucc/100_bug_30434.patch
-> This was merged in 7.0.1-1 (Bug #30436)

./univention-config-registry/3.1-0-0-ucs/7.0.33-2-ucc/030-fix-path.patch
-> This was merged in 8.0.4-2 (Bug #28298)

./univention-config-registry/3.1-0-0-ucs/7.0.33-2-ucc/020_add-dep-on-ipaddr.patch
-> This was merged in 8.0.7-1 (Bug #28851)

./tre/3.1-0-0-ucs/0.8.0-3-ucc/001_enable_python_bindings.patch
-> The only package which needs it is ucslint and the module is for a rather unimportant test, so I've dropped the patch from ucslint which allows us to drop this patch.

./univention-directory-listener/3.1-0-0-ucs/7.0.4-2-ucc/05_join_script.patch
-> This was merged in 7.0.5-1 (#28993)
Comment 3 Moritz Muehlenhoff univentionstaff 2014-03-24 13:03:09 CET
These packages have been version-bumped in 2.0 (along with a copyright update) and
imported for UCC 2.0. There were also built:

univention-lightdm
univention-ucc-initramfs
univention-ucc-session-ucc
univention-ucc-bootsplash
univention-ucc-printerconfig
univention-ucc-remote-mount
univention-ucc-session-xenapp
univention-corporate-client
univention-ucc-session-firefox
univention-ucc-ucsschool-integration
univention-ucc-grub
univention-ucc-pam
univention-ucc-session-rdp
univention-ucc-lxde
univention-ucc-theme
univention-ucc-join


univention-ucc-application-server hasn't been updated, it will become obsolete with
xrdp.

I've created Bug 34394 for univention-ucc-italc.
Comment 4 Moritz Muehlenhoff univentionstaff 2014-03-25 11:50:37 CET
(In reply to Moritz Muehlenhoff from comment #1)
> No changes (or no functional changes) in 3.2 compared to 3.1, the same
> version was cherry-picked:
> univention-debug
> univention-policy
> univention-python-heimdal

Also pam-runasroot.
Comment 5 Moritz Muehlenhoff univentionstaff 2014-03-28 09:57:19 CET
ucc-default-images
ucc-image-toolkit
ucc-management-integration
ucc-pxe-boot

have been updated as well.
Comment 6 Moritz Muehlenhoff univentionstaff 2014-04-15 09:52:41 CEST
univention-python was updated again to include the bugfix for Bug #34292
Comment 7 Moritz Muehlenhoff univentionstaff 2014-04-15 09:53:00 CEST
(In reply to Moritz Muehlenhoff from comment #6)
> univention-python was updated again to include the bugfix for Bug #34292

-> 7.0.3-4
Comment 8 Moritz Muehlenhoff univentionstaff 2014-04-15 10:00:43 CEST
(In reply to Moritz Muehlenhoff from comment #7)
> (In reply to Moritz Muehlenhoff from comment #6)
> > univention-python was updated again to include the bugfix for Bug #34292
> 
> -> 7.0.3-4

And the related patch 045-set_ldap_retry_count.patch for univention-base-files
Comment 9 Moritz Muehlenhoff univentionstaff 2014-04-15 10:16:58 CEST
univention-config-registry was also updated to the latest 3.2-1 errata (9.0.6-9) to include the fix for Bug 34241.
Comment 10 Erik Damrose univentionstaff 2014-04-15 10:27:17 CEST
Please update from the current UCS errata:
univention-python 7.0.3-1 -> 7.0.3-4
univention-config-registry 9.0.6-4 -> 9.0.6-9
univention-base-files 3.0.4-3 -> 3.0.4-7

OK: univention-lib was updated to 3.0.26-17
OK: univention-directory-policy was updated to 5.0.6-1
OK: ucslint was updated to 3.0.5-1
OK: univention-ssh was updated to 5.0.1-1
OK: univention-directory-listener was updated to 8.0.0-5

> No changes (or no functional changes) in 3.2 compared to 3.1, the same
> version was cherry-picked:
OK: univention-debug
OK: univention-policy
OK: univention-python-heimdal

(In reply to Moritz Muehlenhoff from comment #2)
> The following patches have been merged/updated for UCC 2.0:

OK: ./univention-debug/3.1-0-0-ucs/6.0.0-1-ucc/010_python_2.6_2.7.patch
OK: ./univention-lib/3.1-0-0-ucs/1.0.80-4-ucc/020_fix-ucr-invoke.patch (combined with 021_fix-ucr-invoke.patch)
OK: ./univention-lib/3.1-0-0-ucs/1.0.80-4-ucc/010_python_2.6_2.7.patch
OK: ./univention-python-heimdal/3.1-0-0-ucs/4.0.3-2.1-ucc/10_python2.7.patch
OK: ./univention-policy/3.1-0-0-ucs/5.0.9-4-ucc/012_dso_link_update.patch
OK: ./univention-policy/3.1-0-0-ucs/5.0.9-4-ucc/010_python_2.6_2.7.patch
OK: ./univention-directory-policy/3.1-0-0-ucs/5.0.5-1-ucc/40-remove-init-script.patch
OK: ./ucslint/3.1-0-0-ucs/2.0.23-2-ucc/010_python_2.6_2.7.patch
OK: ./univention-config-registry/3.1-0-0-ucs/7.0.33-2-ucc/010_python_2.6_2.7.patch
OK: ./univention-directory-listener/3.1-0-0-ucs/7.0.4-2-ucc/01_python2.7.patch
OK: ./univention-directory-listener/3.1-0-0-ucs/7.0.4-2-ucc/02_gcc_errors.patch
OK: ./univention-directory-listener/3.1-0-0-ucs/7.0.4-2-ucc/03_replace_runit_with_upstart.patch
OK: ./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/010_python_2.6_2.7.patch
OK: ./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/015_ucc_dependencies.patch
OK: ./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/017_ucc_cleanup.patch
OK: ./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/020_add-support-for-freerdp-mappings.patch
OK: ./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/025_add-ucr-support-for-ClientAliveInterval-in-sshd-config.patch
OK: ./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/025_ucc_lsb-release-template-cleanup.patch
OK:./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/030_etc-issue-fix-for-ucc.patch
OK: ./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/035-drop-rdate.patch
OK: ./univention-base-files/3.1-0-0-ucs/1.0.51-1-ucc/040-drop-registration-of-domainname-in-resolvconf.patch
OK ./db3/3.1-0-0-ucs/3.2.9+dfsg-0.1-ucc/10_build_depends.patch

> The following patches are no longer needed:
OK ./univention-directory-policy/3.1-0-0-ucs/5.0.5-1-ucc/30-move-to-join-script-lib.patch
OK: ./univention-python/3.1-0-0-ucs/6.0.21-2-ucc/100_bug_30434.patch
OK: ./univention-config-registry/3.1-0-0-ucs/7.0.33-2-ucc/030-fix-path.patch
OK: ./univention-config-registry/3.1-0-0-ucs/7.0.33-2-ucc/020_add-dep-on-ipaddr.patch
OK: ./tre/3.1-0-0-ucs/0.8.0-3-ucc/001_enable_python_bindings.patch
OK: ./univention-directory-listener/3.1-0-0-ucs/7.0.4-2-ucc/05_join_script.patch

(In reply to Moritz Muehlenhoff from comment #3)
> These packages have been version-bumped in 2.0 (along with a copyright
> update) and
> imported for UCC 2.0. There were also built:
-> OK

(In reply to Moritz Muehlenhoff from comment #4)
> Also pam-runasroot.
OK

(In reply to Moritz Muehlenhoff from comment #5)
> ucc-default-images
> ucc-image-toolkit
> ucc-management-integration
> ucc-pxe-boot
OK

(In reply to Moritz Muehlenhoff from comment #8)
> (In reply to Moritz Muehlenhoff from comment #7)
> > (In reply to Moritz Muehlenhoff from comment #6)
> > > univention-python was updated again to include the bugfix for Bug #34292
> > 
> > -> 7.0.3-4
> 
> And the related patch 045-set_ldap_retry_count.patch for
> univention-base-files
-> OK

(In reply to Moritz Muehlenhoff from comment #9)
> univention-config-registry was also updated to the latest 3.2-1 errata
> (9.0.6-9) to include the fix for Bug 34241.
OK
Comment 11 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:48 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".